summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAlexis Ballier <aballier@gentoo.org>2017-06-28 10:37:44 +0200
committerAlexis Ballier <aballier@gentoo.org>2017-06-28 11:35:44 +0200
commit11dddc855bfb5bdcc88ad2f90f3ecba49f8be2ac (patch)
treee8301764e2aac6ce7bf1f60a1f82098bba6faf9f /dev-ml/alcotest
parentdev-ruby/rspec-expectations: keyword ~arm64 (diff)
downloadgentoo-11dddc855bfb5bdcc88ad2f90f3ecba49f8be2ac.tar.gz
gentoo-11dddc855bfb5bdcc88ad2f90f3ecba49f8be2ac.tar.bz2
gentoo-11dddc855bfb5bdcc88ad2f90f3ecba49f8be2ac.zip
dev-ml/alcotest: Bump to 0.8.0
Package-Manager: Portage-2.3.6, Repoman-2.3.2
Diffstat (limited to 'dev-ml/alcotest')
-rw-r--r--dev-ml/alcotest/Manifest1
-rw-r--r--dev-ml/alcotest/alcotest-0.8.0.ebuild46
2 files changed, 47 insertions, 0 deletions
diff --git a/dev-ml/alcotest/Manifest b/dev-ml/alcotest/Manifest
index 9a585ee2ca5..15bd968b9d2 100644
--- a/dev-ml/alcotest/Manifest
+++ b/dev-ml/alcotest/Manifest
@@ -1 +1,2 @@
DIST alcotest-0.7.2.tar.gz 24781 SHA256 75eac2c9b9c1f9e07d8c4de43ba8e852bd59ef1d7d322cd9c036a075335ef472 SHA512 3448c7d82c200f0cf2ac97f7f49060c350c0719124b24079b5babb48b1d3e0b0508ada0b273e1963dc07dc4cc072b0a589096c39b8b6d8a4adf7e011418dd4a3 WHIRLPOOL d1345d9c3481663fa29d99cf8483bc2e11251a088bd589472eb83f8483b7b3db6130098560de7cb3d00f0741c68c0d0060ae0b602a8f2af51950c0199b0ee612
+DIST alcotest-0.8.0.tar.gz 24078 SHA256 623c045899aba9b10f30cf424e380611f866985ef4c35cd8dbf3b9c0beb926ee SHA512 7dda623557fea2961d255d5c90855a3dc02f2a578aa49660d8550832523bb318daa2af6eba83a92532a43914ef4c74e8446a5bbffa726993f0382142c7d5325c WHIRLPOOL d580317a6928b14e21c72589ff7820b5bc1e13dfdd7efe383b356b76f174c17138314a767d15d08503af30c6a99917d2c83e2001b12cafe702571aec535c0e69
diff --git a/dev-ml/alcotest/alcotest-0.8.0.ebuild b/dev-ml/alcotest/alcotest-0.8.0.ebuild
new file mode 100644
index 00000000000..eab46cdca71
--- /dev/null
+++ b/dev-ml/alcotest/alcotest-0.8.0.ebuild
@@ -0,0 +1,46 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="5"
+
+DESCRIPTION="A lightweight and colourful test framework"
+HOMEPAGE="https://github.com/mirage/alcotest/"
+SRC_URI="https://github.com/mirage/alcotest/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="ISC"
+SLOT="0/${PV}"
+KEYWORDS="~amd64"
+IUSE="test"
+
+RDEPEND="
+ dev-lang/ocaml:=[ocamlopt]
+ dev-ml/fmt:=
+ dev-ml/astring:=
+ dev-ml/cmdliner:=
+ dev-ml/result:=
+"
+DEPEND="${RDEPEND}
+ dev-ml/opam
+ dev-ml/jbuilder
+ dev-ml/findlib"
+
+src_compile() {
+ jbuilder build -p alcotest || die
+}
+
+src_test() {
+ jbuilder runtest -p alcotest || die
+}
+
+oinstall() {
+ opam-installer -i \
+ --prefix="${ED}/usr" \
+ --libdir="${D}/$(ocamlc -where)" \
+ --docdir="${ED}/usr/share/doc/${PF}" \
+ --mandir="${ED}/usr/share/man" \
+ ${1}.install || die
+}
+
+src_install() {
+ oinstall alcotest
+}